Module | ActiveSupport::CoreExtensions::Hash::Diff
In: | lib/active_support/core_ext/hash/diff.rb

### Methods

diff

### Public Instance methods

diff(h2)

Returns a hash that represents the difference between two hashes.

Examples:

      {1 => 2}.diff(1 => 2)         # => {}
      {1 => 2}.diff(1 => 3)         # => {1 => 2}
      {}.diff(1 => 2)               # => {1 => 2}
      {1 => 2, 3 => 4}.diff(1 => 2) # => {3 => 4}

[Validate]